//*****************************************************************************
//*
//*
//*		FtpAttribDlg.cpp
//*
//*
//*****************************************************************************
// FtpAttribDlg.cpp: Implementierungsdatei
//
#include	"StdAfx.h"
#include	"FtpExplorer.h"
#include	"FtpAttribDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(CFtpAttribDlg, CDialog)
	//{{AFX_MSG_MAP(CFtpAttribDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//*****************************************************************************
//*
//*		CDialog
//*
//*****************************************************************************
//  Dialogfeld CFtpAttribDlg
CFtpAttribDlg::CFtpAttribDlg(CWnd *pParent/*=NULL*/): CDialog(CFtpAttribDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CFtpAttribDlg)
	m_bOwnerRd = FALSE;
	m_bOwnerWr = FALSE;
	m_bOwnerEx = FALSE;
	m_bGroupRd = FALSE;
	m_bGroupWr = FALSE;
	m_bGroupEx = FALSE;
	m_bOtherRd = FALSE;
	m_bOtherWr = FALSE;
	m_bOtherEx = FALSE;
	//}}AFX_DATA_INIT

	m_uAttrib  = 0;
}


//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CFtpAttribDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFtpAttribDlg)
	DDX_Check(pDX,IDC_CHECK1,m_bOwnerRd);
	DDX_Check(pDX,IDC_CHECK2,m_bOwnerWr);
	DDX_Check(pDX,IDC_CHECK3,m_bOwnerEx);
	DDX_Check(pDX,IDC_CHECK4,m_bGroupRd);
	DDX_Check(pDX,IDC_CHECK5,m_bGroupWr);
	DDX_Check(pDX,IDC_CHECK6,m_bGroupEx);
	DDX_Check(pDX,IDC_CHECK7,m_bOtherRd);
	DDX_Check(pDX,IDC_CHECK8,m_bOtherWr);
	DDX_Check(pDX,IDC_CHECK9,m_bOtherEx);
	//}}AFX_DATA_MAP
}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
//  Behandlungsroutinen fr Nachrichten CFtpAttribDlg
BOOL CFtpAttribDlg::OnInitDialog()
{

	m_bOwnerRd = (m_uAttrib&0400)? TRUE:FALSE;
	m_bOwnerWr = (m_uAttrib&0200)? TRUE:FALSE;
	m_bOwnerEx = (m_uAttrib&0100)? TRUE:FALSE;
	m_bGroupRd = (m_uAttrib&0040)? TRUE:FALSE;
	m_bGroupWr = (m_uAttrib&0020)? TRUE:FALSE;
	m_bGroupEx = (m_uAttrib&0010)? TRUE:FALSE;
	m_bOtherRd = (m_uAttrib&0004)? TRUE:FALSE;
	m_bOtherWr = (m_uAttrib&0002)? TRUE:FALSE;
	m_bOtherEx = (m_uAttrib&0001)? TRUE:FALSE;
	
	CDialog::OnInitDialog();


	return TRUE;
}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CFtpAttribDlg::OnOK()
{

	UpdateData();

	m_uAttrib  &= ~0777;
	if(m_bOwnerRd)m_uAttrib|=0400;
	if(m_bOwnerWr)m_uAttrib|=0200;
	if(m_bOwnerEx)m_uAttrib|=0100;
	if(m_bGroupRd)m_uAttrib|=0040;
	if(m_bGroupWr)m_uAttrib|=0020;
	if(m_bGroupEx)m_uAttrib|=0010;
	if(m_bOtherRd)m_uAttrib|=0004;
	if(m_bOtherWr)m_uAttrib|=0002;
	if(m_bOtherEx)m_uAttrib|=0001;

	CDialog::OnOK();
}
