//*****************************************************************************
//*
//*
//*		FtpConnectDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_FTPCONNECTDLG_H__5C50B3FB_4FA3_44B2_9735_27CE0032F0C0__INCLUDED_
#define		AFX_FTPCONNECTDLG_H__5C50B3FB_4FA3_44B2_9735_27CE0032F0C0__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif


//*****************************************************************************
//*
//*		Dialogfeld CFtpConnectDlg
//*
//*****************************************************************************
class CFtpConnectDlg : public CDialog
{
public:
	CFtpConnectDlg(CWnd* pParent = NULL);						// Standardkonstruktor

	//{{AFX_DATA(CFtpConnectDlg)
	enum { IDD = IDD_FTPCONNECT };
	BOOL	m_bLinkResolve;
	BOOL	m_bIgnoreLinks;
	BOOL	m_bReconnect;
	BOOL	m_bReadOnly;
	BOOL	m_bRetry;
	BOOL	m_bPassive;
	CString m_sName;
	CString m_sPort;
	CString m_sServer;
	CString m_sUsername;
	CString m_sPassword;
	CString m_sStartPath;
	CString m_sTimeout;
	int		m_iConnMode;
	//}}AFX_DATA

	INT		m_iTimeout;
	INT		m_iOldMode;
	INT		m_iPort;


	//{{AFX_VIRTUAL(CFtpConnectDlg)
protected:
	virtual void DoDataExchange(CDataExchange *pDX);			// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	BOOL LoadConnection(LPCTSTR pName);
	BOOL SaveConnection(LPCTSTR pName);

	//{{AFX_MSG(CFtpConnectDlg)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg void OnEditChange();
	afx_msg void OnSelChange();
	afx_msg void OnKillFocus();
	afx_msg void OnDestroy();
	afx_msg void OnDelete();
	afx_msg void OnGetUrl();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnRadio4();
	afx_msg void OnRadio5();
	afx_msg void OnRadio6();
	afx_msg void OnRadio7();
	afx_msg void OnOpen();
	//}}AFX_MSG
	
	void OnRadio(int iMode);

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif
