//*****************************************************************************
//*
//*
//*		FtpFindDlg.cpp: Implementierungsdatei
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"Resource.h"
#include	"FtpFindDlg.h"

#ifdef		_DEBUG
#define new  DEBUG_NEW
#undef		 THIS_FILE
static char  THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CFtpFindDlg, CDialog)
	//{{AFX_MSG_MAP(CFtpFindDlg)
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_RADIO4, OnUpdateTime)
	ON_BN_CLICKED(IDC_RADIO5, OnUpdateTime)
	ON_BN_CLICKED(IDC_RADIO6, OnUpdateTime)
	ON_BN_CLICKED(IDC_RADIO7, OnUpdateTime)
	ON_BN_CLICKED(IDC_RADIO8, OnUpdateTime)
	ON_BN_CLICKED(IDC_BUTTON1,OnSetNow)
END_MESSAGE_MAP()

DLG_OLDPOS(CFtpFindDlg)



//*****************************************************************************
//*
//*		Konstruktor
//*
//*****************************************************************************
CFtpFindDlg::CFtpFindDlg(CWnd *pParent):CDialog(CFtpFindDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CFtpFindDlg)
	m_sPath		= _T("");
	m_sPlus		= _T("");
	m_sMinus	= _T("");
	m_sTimeStr	= _T("");
	m_bNoLinks	= FALSE;
	m_bFindDir	= FALSE;
	m_bFindFile	= TRUE;
	m_bSubDir	= TRUE;
	m_iAttrMode = 0;
	m_iTimeMode = 0;
	m_iConnSel  = 0;
	//}}AFX_DATA_INIT

	m_iTimeVal		 = 0;
	m_aConnActive[0] = 1;
	m_aConnActive[1] = 1;

}



//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CFtpFindDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFtpFindDlg)
	DDX_CBString(pDX, IDC_COMBO1, m_sPath);
	DDX_CBString(pDX, IDC_COMBO2, m_sPlus);
	DDX_CBString(pDX, IDC_COMBO3, m_sMinus);
	DDX_Check   (pDX, IDC_CHECK1, m_bSubDir);
	DDX_Check   (pDX, IDC_CHECK2, m_bFindDir);
	DDX_Check   (pDX, IDC_CHECK3, m_bFindFile);
	DDX_Check   (pDX, IDC_CHECK4, m_bNoLinks );
	DDX_Radio   (pDX, IDC_RADIO1, m_iAttrMode);
	DDX_Radio   (pDX, IDC_RADIO4, m_iTimeMode);
	DDX_Radio   (pDX, IDC_RADIO9, m_iConnSel);
	DDX_Text    (pDX, IDC_EDIT1,  m_sTimeStr);
	//}}AFX_DATA_MAP
}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CFtpFindDlg::OnInitDialog()
{
TCHAR		cText[32];
CRegKeys	sKey;


	SetDlgItemText(IDC_RADIO9 ,m_aConnNames [0]);
	SetDlgItemText(IDC_RADIO10,m_aConnNames [1]);
	EnableDlgItem (IDC_RADIO9 ,m_aConnActive[0]);
	EnableDlgItem (IDC_RADIO10,m_aConnActive[1]);

	SET_DLG_OLDPOS()

	sKey.Open(0,CRK_READ);
	sKey.Up(_T("FtpFindDlg"));

	if(m_sPath.IsEmpty())
	sKey.Get(m_sPath	  ,_T("SearchPath"  ));
	sKey.Get(m_sPlus	  ,_T("PlusFilter"  ));
	sKey.Get(m_sMinus	  ,_T("MinusFilter" ));
	sKey.Get(m_bSubDir	  ,_T("SubDirs"     ));
	sKey.Get(m_bNoLinks   ,_T("NoLinks"	    ));
	sKey.Get(m_iAttrMode  ,_T("AttributMode"));
	sKey.Get(m_bFindDir	  ,_T("FindFolders" ));
	sKey.Get(m_bFindFile  ,_T("FindFiles"	));
	sKey.Get(m_iTimeMode  ,_T("TimeMode"    ));
	sKey.Get(m_sTimeStr   ,_T("TimeString"  ));

	if(!m_iTimeVal && m_sTimeStr=="")
		{
		m_iTimeVal=time(0);
		}

	if(m_iTimeVal)
		{
		cText[0]=' ';
		strtimeset(cText+1,m_iTimeVal,STR_DATE|STR_ABC|STR_LONG|STR_ADD_SPACE|STR_TIME|STR_SEC);
		m_sTimeStr=cText;
		}

	CDialog::OnInitDialog();


	SubclassComboBox(this,IDC_COMBO1,SCB_DROPFILE);

	ComboBoxLoad(this,IDC_COMBO1,_T("PathList" ),_T("#FtpFindDlg"));
	ComboBoxLoad(this,IDC_COMBO2,_T("PlusList" ),_T("#FtpFindDlg"));
	ComboBoxLoad(this,IDC_COMBO3,_T("MinusList"),_T("#FtpFindDlg"));

	OnUpdateTime();


return TRUE;
}

//*****************************************************************************
//*
//*		OnUpdateTime
//*
//*****************************************************************************
void CFtpFindDlg::OnUpdateTime()
{

	UpdateData();
	GetDlgItem(IDC_EDIT1)->EnableWindow(m_iTimeMode!=0);

}

//*****************************************************************************
//*
//*		OnSetNow
//*
//*****************************************************************************
void CFtpFindDlg::OnSetNow()
{
TCHAR	cText[64]=" ";



	strtimeset(cText+1,time(0),STR_DATE|STR_ABC|STR_LONG|STR_ADD_SPACE|STR_TIME|STR_SEC);
	SetDlgItemText(IDC_EDIT1,cText);


}

//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CFtpFindDlg::OnCancel()
{

	GET_DLG_OLDPOS()
	CDialog::OnCancel();

}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CFtpFindDlg::OnOK()
{
CRegKeys	sKey;



	GET_DLG_OLDPOS()

	UpdateData();

	if(!m_bFindDir && !m_bFindFile)
		{
		MessageBox(_T("Es ist weder die Suchen nach Dateien bzw. nach Verzeichnissen akiviert !"),_T("Fehler"),MB_OK|MB_ICONERROR);
		return;
		}

	sKey.Open();
	sKey.Up(_T("FtpFindDlg"));

	sKey.Set(m_sPath	  ,_T("SearchPath"  ));
	sKey.Set(m_sPlus	  ,_T("PlusFilter"  ));
	sKey.Set(m_sMinus	  ,_T("MinusFilter" ));
	sKey.Set(m_bSubDir	  ,_T("SubDirs"     ));
	sKey.Set(m_bNoLinks   ,_T("NoLinks"	    ));
	sKey.Set(m_iAttrMode  ,_T("AttributMode"));
	sKey.Set(m_bFindDir	  ,_T("FindFolders" ));
	sKey.Set(m_bFindFile  ,_T("FindFiles"	));
	sKey.Set(m_iTimeMode  ,_T("TimeMode"    ));
	sKey.Set(m_sTimeStr   ,_T("TimeString"  ));

	ComboBoxSave(this,IDC_COMBO1,_T("PathList" ),_T("#FtpFindDlg"));
	ComboBoxSave(this,IDC_COMBO2,_T("PlusList" ),_T("#FtpFindDlg"));
	ComboBoxSave(this,IDC_COMBO3,_T("MinusList"),_T("#FtpFindDlg"));

	m_iTimeVal = strtoutc(m_sTimeStr);



CDialog::OnOK();
}




