//*****************************************************************************
//*
//*
//*		SshLoginDlg.cpp
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"FtpExplorer.h"
#include	"SshLoginDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(CSshLoginDlg, CDialog)
	//{{AFX_MSG_MAP(CSshLoginDlg)
	ON_BN_CLICKED(IDC_RADIO1, OnRadio1)
	ON_BN_CLICKED(IDC_RADIO2, OnRadio2)
	ON_BN_CLICKED(IDC_RADIO3, OnRadio3)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//*****************************************************************************
//*
//*		CDialog
//*
//*****************************************************************************
//  Dialogfeld CSshLoginDlg
CSshLoginDlg::CSshLoginDlg(CWnd *pParent): CDialog(CSshLoginDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CSshLoginDlg)
	m_sUser = _T("");
	m_sPass = _T("");
	m_iMode = 0;
	//}}AFX_DATA_INIT
}


//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CSshLoginDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CSshLoginDlg)
	DDX_Text(pDX,IDC_EDIT1,m_sUser);
	DDX_Text(pDX,IDC_EDIT2,m_sPass);
	DDX_Radio(pDX, IDC_RADIO1, m_iMode);
	//}}AFX_DATA_MAP

	GetDlgItem(IDC_EDIT1)->EnableWindow(m_iMode==2);
	GetDlgItem(IDC_EDIT2)->EnableWindow(m_iMode!=0);

}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CSshLoginDlg::OnInitDialog()
{
CString		sText;
LPCTSTR		pText;
int			iPos;
int			iLen;


	pText = m_sBase;
	iPos  = strchar(pText,'|');
	sText.Format(_T("%.*s"),iPos,pText);	

	if(m_sBase.IsEmpty())
		{
		m_iMode = 0;
		m_sUser.Empty();
		m_sPass.Empty();
		}
	else if(pText[iPos])
		{
		pText += iPos+1;
		iLen   = strchar(pText,'|');
		
		if(pText[iLen])
			{
			m_sUser.Format(_T("%.*s"),iLen,pText);
			m_sPass = pText+iLen+1; 
			m_iMode = 2;
			}	
		else{
			m_sUser = _T("root");
			m_sPass = pText; 
			m_iMode = 1;
			}
		}

	if(m_sUser.IsEmpty())
		{
		m_sUser = _T("root");
		}

	m_sBase = sText;

	CDialog::OnInitDialog();



return TRUE;
}

//*****************************************************************************
//*
//*		OnRadio1
//*
//*****************************************************************************
void CSshLoginDlg::OnRadio1()
{
	UpdateData();
}

//*****************************************************************************
//*
//*		OnRadio2
//*
//*****************************************************************************
void CSshLoginDlg::OnRadio2()
{
	UpdateData();
}

//*****************************************************************************
//*
//*		OnRadio3
//*
//*****************************************************************************
void CSshLoginDlg::OnRadio3()
{
	UpdateData();
}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CSshLoginDlg::OnOK()
{

	UpdateData();

	if(m_sUser.IsEmpty())
		{
		m_sUser = _T("root");
		}

	switch(m_iMode)
		{
	case 1:	m_sBase += _T("|");
			m_sBase += m_sPass;
			break;

	case 2:	m_sBase += _T("|");
			m_sBase += m_sUser;
			m_sBase += _T("|");
			m_sBase += m_sPass;
			break;
		}


	CDialog::OnOK();
}
